/**
*UBackup App
* Implementing UBackup App
*/
var UBackupApp = UBackupApp || {};  //Define UBackup App namespace.
/**
*Constructor UNAS App
*/
UBackupApp.App = function () {
    this.id = 'U-Backup';
    this.name = 'U-Backup';
    this.version = '6.2.47';
    this.active = false;
    this.menuIcon = '/apps/backup/images/logo.png';
    this.shortcutIcon = '/apps/backup/images/logo.png';
    this.entryUrl = '/backup';
    //this.entryHelpUrl = '/apps/ubackup/ubackup_help.html';
    var self = this;
    this.UBackupAppWindow = function () {
        window.open("/backup", "_blank");
        return;

        if (UNAS.CheckAppState(this.name)) {
            return false;
        }
        self.window = new MUI.Window({
            id: 'UBackupAppWindow',
            title: UNAS._("U-Backup"),
            icon: '/apps/backup/images/logo_small.png',
            loadMethod: 'xhr',
            width: 750,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [650, 1200], 'y': [450, 900] },
            contentURL: '',
            require: { css: ['/apps/backup/css/ubackup.css'] },
            onBeforeBuild: function () { UNAS.SetAppOpenedWindow(this.name, 'UBackupAppWindow') }
        });
    };
    this.UbackupUninstall = function () {
        UNAS.RemoveDesktopShortcut("U-Backup");
        UNAS.RemoveMenu("U-Backup");
        //UNAS.RemoveAppFromGroups('UBackup', 'Help');
        UNAS.RemoveAppFromGroups("U-Backup", 'ControlPanel');
        UNAS.RemoveAppFromApps("U-Backup");
    };
    new UNAS.Menu('UNAS_App_Internet_Menu', "U-Backup", this.menuIcon, "U-Backup", '', this.UBackupAppWindow);
    new UNAS.DesktopShortcut("U-Backup", this.shortcutIcon, "U-Backup", this.UBackupAppWindow);
    //new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Internet', 'Laction' : 3, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'Internet', 'Laction' : 3, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle("U-Backup", UNAS._("U-Backup")); //translate menu
        UNAS.SetShortcutTitle("U-Backup", UNAS._("U-Backup"));
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('UBackupAppWindow', UNAS._("U-Backup"));
        }
    };
    UNAS.LoadTranslation('/apps/backup/languages/Translation?v=' + this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.UBackupAppWindow, this.UbackupUninstall);
};

new UBackupApp.App();
